--
-- $Id$
--
-- Customer specific once-script BLCC#55498.SQL.

DEFINE thisfile = 'BLCC#56934.SQL'
DEFINE dbuser   = '^BLCC'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE prs_perslid
   SET prs_perslid_wachtwoord_exp = SYSDATE
 WHERE TO_CHAR (prs_perslid_aanmaak, 'yyyymmdd hh24:mi') = '20190313 15:26';

DELETE fac_gebruikersgroep
 WHERE     prs_perslid_key IN
               (SELECT prs_perslid_key
                  FROM prs_perslid
                 WHERE to_char(prs_perslid_aanmaak, 'yyyymmdd hh24:mi') = '20190313 15:26')
       AND fac_groep_key = 1;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
